import { MD5 } from "./encrypt/md5";
import { Base64 } from "./encrypt/base64";
import { ArrayUtils, ArrayModel } from "./data-type/array-utils";
import { TimeUtils } from "./data-type/time-utils";
import { StringUtils } from "./data-type/string-utils";
import { JsonUtils } from "./data-type/json-utils";
import { ObjectUtils } from "./data-type/object-utils";
import { RegexpUtils } from "./data-type/regexp-utils";
import { NumberUtils } from "./data-type/number-utils";
import { LogUtils } from "./common/log.utils";
import { AjaxUtils, AjaxCallback } from "./net/ajax-utils";
import { BankCardUtils } from "./data/bank-card-utils";
import { SessionStorageUtils } from "./common/session-storage.utils";
import { HighlightUtils } from "./common/highlight-utils";
/**
 * Created by zhaott on 2018/9/21.
 */
declare class JsUtilsApi {
    private name;
    constructor();
    static md5(str: string): string;
    static HTMLEncode(html: any): string;
    static HTMLDecode(text: any): string | null;
}
export { JsUtilsApi, BankCardUtils, HighlightUtils, Base64, MD5, LogUtils, SessionStorageUtils, RegexpUtils, AjaxUtils, AjaxCallback, ArrayUtils, TimeUtils, StringUtils, JsonUtils, ArrayModel, ObjectUtils, NumberUtils };
//# sourceMappingURL=index.d.ts.map